com.holonplatform.core.datastore.operation.commons

## Interface DatastoreOperationConfiguration.Builder<B extends DatastoreOperationConfiguration.Builder<B>>

- Type Parameters:
    `B` - Concrete builder type
  All Superinterfaces:
    ExpressionResolver.ExpressionResolverBuilder<B>
  All Known Subinterfaces:
    AsyncBulkDelete, AsyncBulkInsert, AsyncBulkUpdate, AsyncDelete, AsyncInsert, AsyncRefresh, AsyncSave, AsyncUpdate, BulkDelete, BulkDeleteOperation<R,O>, BulkInsert, BulkInsertOperation<R,O>, BulkUpdate, BulkUpdateOperation<R,O>, DatastoreOperation<O,C>, Delete, ExecutableBulkOperation<R,C,O>, ExecutablePropertyBoxOperation<R,O>, Insert, PropertyBoxOperation<O,C>, PropertyBoxOperationConfiguration.Builder<B>, Refresh, Save, Update
  Enclosing interface:
    DatastoreOperationConfiguration

      public static interface DatastoreOperationConfiguration.Builder<B extends DatastoreOperationConfiguration.Builder<B>>
      extends ExpressionResolver.ExpressionResolverBuilder<B>

  Base `DatastoreOperationConfiguration` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> B` | `parameter(ConfigProperty<T> property, T value)` Add an operation parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
    `B` | `parameter(String name, Object value)` Add an operation parameter.
    `B` | `target(DataTarget<?> target)` Set the operation `DataTarget`.
    `B` | `withExpressionResolvers(Iterable<? extends ExpressionResolver> expressionResolvers)` Add all the expression resolvers provided by given `Iterable`.
    `B` | `withWriteOption(DatastoreOperations.WriteOption writeOption)` Add a `DatastoreOperations.WriteOption` to this operation.
    `B` | `withWriteOptions(DatastoreOperations.WriteOption... writeOptions)` Add a set of `DatastoreOperations.WriteOption`s to this operation.
    `B` | `withWriteOptions(Set<DatastoreOperations.WriteOption> writeOptions)` Add a set of `DatastoreOperations.WriteOption`s to this operation.

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

- - ### Method Detail

    - #### target

          B target(DataTarget<?> target)

      Set the operation `DataTarget`.
      Parameters:
        `target` - the operation data target to set
      Returns:
        this

    - #### parameter

          B parameter(String name,
                      Object value)

      Add an operation parameter.
      Parameters:
        `name` - Parameter name (not null)
        `value` - Parameter value
      Returns:
        this

    - #### parameter

          <T> B parameter(ConfigProperty<T> property,
                          T value)

      Add an operation parameter using a `ConfigProperty` and `ConfigProperty.getKey()` as parameter name.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - ConfigProperty (not null)
        `value` - Property value
      Returns:
        this

    - #### withWriteOption

          B withWriteOption(DatastoreOperations.WriteOption writeOption)

      Add a `DatastoreOperations.WriteOption` to this operation.
      Parameters:
        `writeOption` - The write option to add (not null)
      Returns:
        this

    - #### withWriteOptions

          B withWriteOptions(DatastoreOperations.WriteOption... writeOptions)

      Add a set of `DatastoreOperations.WriteOption`s to this operation.
      Parameters:
        `writeOptions` - The write options to add (not null)
      Returns:
        this

    - #### withWriteOptions

          B withWriteOptions(Set<DatastoreOperations.WriteOption> writeOptions)

      Add a set of `DatastoreOperations.WriteOption`s to this operation.
      Parameters:
        `writeOptions` - The write options to add (not null)
      Returns:
        this

    - #### withExpressionResolvers

          B withExpressionResolvers(Iterable<? extends ExpressionResolver> expressionResolvers)

      Add all the expression resolvers provided by given `Iterable`.
      Parameters:
        `expressionResolvers` - Expression resolvers to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.